## python-radios 0.3.1

=== .github/workflows/requirements.txt ===
pip==24.0
poetry==1.8.2

=== debian/changelog ===
python-radios (0.3.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:46:08 +0900

python-radios (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1077272)

 -- Edward Betts <edward@4angle.com>  Sun, 28 Jul 2024 03:26:08 +0900

## python-radios 0.3.2

=== .github/workflows/requirements.txt ===
pip==24.2
poetry==1.8.4

=== debian/changelog ===
python-radios (0.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 17:39:08 +0100

=== debian/control ===
Source: python-radios
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiodns <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-aresponses <!nocheck>,
               python3-awesomeversion <!nocheck>,
               python3-backoff <!nocheck>,
               python3-cachetools <!nocheck>,
               python3-mashumaro <!nocheck>,
               python3-orjson <!nocheck>,
               python3-poetry-core,
               python3-pycountry <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-yarl <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/frenck/python-radios
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-radios
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-radios.git

Package: python3-radios
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asynchronous client for the Radio Browser API
 This library enables users to access a comprehensive directory of internet
 radio stations. Users can query, filter, and sort radio stations based on
 various criteria such as click count, country, and language. Additionally, the
 library allows for registering station clicks and retrieving metadata like
 tags, countries, and codes.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=radios
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf radios.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-radios-$1\.tar\.gz/ \
  https://github.com/frenck/python-radios/tags .*/v?(\d\S+)\.tar\.gz
